Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54266 (New): As an User I want FAL to be performant
Task # 51094 (Resolved): SQL-Optimize the FAL

Status: Resolved Priority: Should have
Author: Ingo Schmitt Category: Performance
Updated: 2014-03-17 Due date:
TYPO3 Version: 6.2
Complexity:
Subject: sys_file_reference.fieldname optimize columns
Description

MySQL up to 5.5 allows at maximum 64 characters for tablenames and fieldnames [1], thus no other DBAL implementation should use
more than 64 characters.

This leads set the maximum size of the fields tablenames and fieldname to 64 chars.
The field sys_file_reference.fieldname should be varchar or char, not TINYTEXT. 
since only fieldnames from the database are stored varchar(64) should be enough.

[1] http://dev.mysql.com/doc/refman/5.5/en/identifiers.html

Related issues:
blocks Core - Task # 54725: Add Indexes to sys_file_reference Resolved 2014-01-03

Associated revisions
Revision 9e88bf74 - 2014-01-08 11:27 - Ingo Schmitt

[TASK] Optimize columns in sys_file_reference

MySQL up to version 5.5 allows at maximum 64 characters for table-
and fieldnames. Other DBMS allow less. Since MySQL is our primary
database and DBAL could handle specialties.

This patch changes the fields tablenames, fieldname and table_local
to varchar(64) which currently is considered save.

Resolves: #54726
Releases: 6.2
Change-Id: Ic67450a9326dceb413fe694a6233b8c092f70c79
Reviewed-on: https://review.typo3.org/26625
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

History
#1 - 2014-01-03 16:05 - Gerrit Code Review
- Status changed from New to Under Review
Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26625

#2 - 2014-01-03 16:21 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26625

#3 - 2014-01-03 16:24 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26625

#4 - 2014-01-03 17:26 - Markus Klein
- Subject changed from sys_file_reference.fieldname otimize colums to sys_file_reference.fieldname optimize columns

#5 - 2014-01-08 10:10 - Steffen Ritter
- Parent task set to #51094

#6 - 2014-01-08 11:27 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26625

#7 - 2014-01-08 11:30 - Ingo Schmitt
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9e88bf746ac7d825d98396a50707cfeb968231fe.

#8 - 2014-01-08 11:31 - Steffen Ritter
- % Done changed from 100 to 90

#9 - 2014-02-20 13:59 - Steffen Ritter
- Assigned To set to Ingo Schmitt

#10 - 2014-03-17 18:38 - Steffen Ritter
- % Done changed from 90 to 100
